package com.sifang.modules.customer.utils;

import com.jfinal.plugin.activerecord.Record;
import com.sifang.modules.sunshine.SystemSetting.utils.StringUtil;

import java.util.List;
import java.util.Objects;

public class CheckMustFillUtil {

    /**
     * 校验是否为必填项 true : 必填， false : 非必填
     */
    public static boolean checkMustFill(String str, List<Record> list) {
        for (Record r : list) {
            if (!Objects.equals(str, r.getStr("columnKey"))) {
                continue;
            }
            if (Objects.equals("1", r.getStr("parentMustFillFlag"))
                    || Objects.equals("1", r.getStr("limitFlag"))) {
                return true;
            } else if (StringUtil.isBlank(r.getStr("id"))) {
                return false;
            } else {
                if (Objects.equals("1", r.getStr("status"))
                        && Objects.equals("1", r.getStr("mustFillFlag"))) {
                    return true;
                }
            }
        }
        return false;
    }
}
